Bug 2099206 - 120 node baremetal upgrade from 4.9.29 --> 4.10.13 crashloops on machine-approver [NEEDINFO]
Summary: 120 node baremetal upgrade from 4.9.29 --> 4.10.13 crashloops on machine-app...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.10
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: 4.10.z
Assignee: Jaime Caamaño Ruiz
QA Contact: Mike Fiedler
URL:
Whiteboard:
Depends On: 2089392
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-06-20 10:15 UTC by OpenShift BugZilla Robot
Modified: 2022-07-25 07:07 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-07-25 07:07:10 UTC
Target Upstream Version:
mifiedle: needinfo? (dwilson)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ovn-kubernetes pull 1149 0 None open [release-4.10] Bug 2099206: Update logging for specific policy when creating it 2022-06-28 01:00:51 UTC
Red Hat Product Errata RHSA-2022:5664 0 None None None 2022-07-25 07:07:41 UTC

Comment 4 Mike Fiedler 2022-07-18 13:47:38 UTC
@dwilson Any chance you can verify on 4.10?

@jcaamano Any good way to verify this on a small scale cluster?

Comment 5 Jaime Caamaño Ruiz 2022-07-18 14:56:52 UTC
I don’t think so. This is strictly a scale bug and the problem won’t show at small sizes. Unless we are whiling to white box it and look into the logs or just limit the verification for regressions.

Comment 10 Mike Fiedler 2022-07-20 23:58:21 UTC
Verified on 4.10.23

1. installed 4.9.43 on AWS
2. scaled cluster up to 120 nodes
3. ran the node-density-ci-networkpolicy kube-burner workload for 2600 pods as described in https://bugzilla.redhat.com/show_bug.cgi?id=2089392#c2
4. upgraded to 4.10.23 which has the fix for this bz

Upgrade successful in about 1 hr 45 min.

Comment 12 errata-xmlrpc 2022-07-25 07:07:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.10.24 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:5664


Note You need to log in before you can comment on or make changes to this bug.